package:
  name: lemi2seed
  version: 2022.025

source:
  path: ../

build:
  noarch: python
  number: 0
  script: {{ PYTHON }} -m pip install --no-deps -vv .

requirements:
  build:
    - python >=3.7
    - pip
  run:
    - python >=3.7
    - configobj
    - numpy
    - obspy
    - openpyxl

test:
  source_files:
    - tests
  commands:
    - python -m unittest

about:
  home: https://www.passcal.nmt.edu/content/software-resources
  dev_url: https://git.passcal.nmt.edu/MT/lemi2seed
  license: GPLv3
  license_file: LICENSE
  summary: Convert LEMI data and metadata into day-long mseed and StationXML files.
